Proxy registration happens before Apache is started
Description

There's a dependency issue in the installer modules - the proxy registration can happen before Apache's started.

[ERROR 2013-09-13 10:10:07 puppet] /Stage[main]/Foreman_proxy::Register/Foreman_smartproxy[quicks
tart.fm.example.net]: Could not evaluate: Connection refused - connect (2)

[ WARN 2013-09-13 10:10:16 puppet] /Stage[main]/Apache::Service/Service[httpd]/ensure: ensure cha
nged 'stopped' to 'running'

Full log file attached.

Tested with nightlies, foreman-installer-1.3.9999-3.201309112032git52e349a.el6.noarch

History

#1 - 09/16/2013 12:39 PM - Lukas Zapletal

- Priority changed from Normal to Immediate

#2 - 09/18/2013 10:34 AM - Dominic Cleal
- Status changed from New to Assigned

- Assignee set to Dominic Cleal

#3 - 09/18/2013 12:48 PM - Lukas Zapletal
- Related to Tracker #3112: [TRACKER)| Issues to be released in 1.3 RC or final added

#4 - 09/23/2013 03:56 PM - Dominic Cleal

- Priority changed from Immediate to Normal

#5 - 09/30/2013 02:42 PM - Dominic Cleal
- Related to deleted (Tracker #3112: [TRACKER)| Issues to be released in 1.3 RC or final)

#6 - 09/30/2013 02:43 PM - Dominic Cleal

- Target version changed from 1.3.0 to 1.4.0

This has become somewhat involved and affects a few modules, bumping to 1.4. As far as | can see, there's nothing 1.3-specific here, so it's always
been a possibility and hasn't cropped up during more recent tests. Workaround is to run the installer twice.

#7 - 10/16/2013 03:47 PM - Greg Sutcliffe
- Target version deleted (1.4.0)

#8 - 01/09/2014 11:40 PM - Dominic Cleal

- Status changed from Assigned to Rejected
#3972 will fix this properly.

Files

configure.log 234 KB 09/13/2013 Dominic Cleal
